Package org.eclipse.draw2d

# Class ScaledGraphics.State

java.lang.Object
org.eclipse.draw2d.ScaledGraphics.State

Enclosing class:
  ScaledGraphics

protected static class ScaledGraphics.State extends Object
The internal state of the scaled graphics.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`State()`
Constructs a new, uninitialized State object.
`protected`
`State(double zoom, double x, double y, Font font, float lineWidth)`
Constructs a new State object and initializes the properties based on the given values.
`protected`
`State(double zoom, double x, double y, Font font, int lineWidth)`
Constructs a new State object and initializes the properties based on the given values.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`setValues(double zoom, double x, double y, Font font, float lineWidth)`
Sets all the properties of the state object.
`protected void`
`setValues(double zoom, double x, double y, Font font, int lineWidth)`
Sets all the properties of the state object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### State

protected State()
Constructs a new, uninitialized State object.

### State

protected State(double zoom, double x, double y, Font font, int lineWidth)
Constructs a new State object and initializes the properties based on the given values.

Parameters:
  `zoom` - the zoom factor
  `x` - the x offset
  `y` - the y offset
  `font` - the font
  `lineWidth` - the line width

### State

protected State(double zoom, double x, double y, Font font, float lineWidth)
Constructs a new State object and initializes the properties based on the given values.

Parameters:
  `zoom` - the zoom factor
  `x` - the x offset
  `y` - the y offset
  `font` - the font
  `lineWidth` - the line width
Since:
  3.5

## Method Details

### setValues

protected void setValues(double zoom, double x, double y, Font font, int lineWidth)
Sets all the properties of the state object.

Parameters:
  `zoom` - the zoom factor
  `x` - the x offset
  `y` - the y offset
  `font` - the font
  `lineWidth` - the line width

### setValues

protected void setValues(double zoom, double x, double y, Font font, float lineWidth)
Sets all the properties of the state object.

Parameters:
  `zoom` - the zoom factor
  `x` - the x offset
  `y` - the y offset
  `font` - the font
  `lineWidth` - the line width
Since:
  3.5